grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v3.3-30-gfdd45db


From: Jim Meyering
Subject: grep branch, master, updated. v3.3-30-gfdd45db
Date: Sat, 30 Nov 2019 17:38:13 -0500 (EST)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  fdd45db167c9e553f8c667fa1db0f96d8ae8eab4 (commit)
      from  8b994007afb9e1750164282b18ff5209cde8fef5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=fdd45db167c9e553f8c667fa1db0f96d8ae8eab4


commit fdd45db167c9e553f8c667fa1db0f96d8ae8eab4
Author: Jim Meyering <address@hidden>
Date:   Sat Nov 30 15:10:57 2019 +0800

    tests: add test that would have detected -Fw perf regression
    
    * tests/mb-non-UTF8-perf-Fw: New file. Detect v3.3-22-g090a4db's
    performance regression.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index d82501e..82aebbf 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -123,6 +123,7 @@ TESTS =                                             \
   mb-dot-newline                               \
   mb-non-UTF8-overrun                          \
   mb-non-UTF8-performance                      \
+  mb-non-UTF8-perf-Fw                          \
   mb-non-UTF8-word-boundary                    \
   multibyte-white-space                                \
   multiple-begin-or-end-line                   \
diff --git a/tests/mb-non-UTF8-perf-Fw b/tests/mb-non-UTF8-perf-Fw
new file mode 100755
index 0000000..3493670
--- /dev/null
+++ b/tests/mb-non-UTF8-perf-Fw
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Test for a performance regression with -Fw and a non-UTF8 multibyte locale.
+
+# Copyright 2019 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+require_JP_EUC_locale_
+
+yes 00 | head -10000000 > in || framework_failure_
+
+# Before fixing the regression, this would have taken minutes.
+# With the fix, it typically completes in well under one second.
+returns_ 1 timeout 30 grep -Fw 0 in || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/Makefile.am                                        |  1 +
 tests/{mb-non-UTF8-word-boundary => mb-non-UTF8-perf-Fw} | 12 +++++++-----
 2 files changed, 8 insertions(+), 5 deletions(-)
 copy tests/{mb-non-UTF8-word-boundary => mb-non-UTF8-perf-Fw} (72%)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]